Package org.apache.sysds.parser.dml

# Class DmlParser.FunctionCallMultiAssignmentStatementContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.sysds.parser.dml.DmlParser.StatementContext
org.apache.sysds.parser.dml.DmlParser.FunctionCallMultiAssignmentStatementContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  DmlParser

public static class DmlParser.FunctionCallMultiAssignmentStatementContext extends DmlParser.StatementContext

## Field Summary

Fields
Modifier and Type
Field
Description
`DmlParser.DataIdentifierContext`
`dataIdentifier`
`org.antlr.v4.runtime.Token`
`name`
`DmlParser.ParameterizedExpressionContext`
`parameterizedExpression`
`List<DmlParser.ParameterizedExpressionContext>`
`paramExprs`
`List<DmlParser.DataIdentifierContext>`
`targetList`

### Fields inherited from class org.apache.sysds.parser.dml.DmlParser.StatementContext

`info`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`FunctionCallMultiAssignmentStatementContext(DmlParser.StatementContext ctx)`

## Method Summary

Modifier and Type
Method
Description
`List<DmlParser.DataIdentifierContext>`
`dataIdentifier()`
`DmlParser.DataIdentifierContext`
`dataIdentifier(int i)`
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode`
`ID()`
`List<DmlParser.ParameterizedExpressionContext>`
`parameterizedExpression()`
`DmlParser.ParameterizedExpressionContext`
`parameterizedExpression(int i)`

### Methods inherited from class org.apache.sysds.parser.dml.DmlParser.StatementContext

`copyFrom, getRuleIndex`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dataIdentifier

public DmlParser.DataIdentifierContext dataIdentifier

### targetList

public List<DmlParser.DataIdentifierContext> targetList

### name

public org.antlr.v4.runtime.Token name

### parameterizedExpression

public DmlParser.ParameterizedExpressionContext parameterizedExpression

### paramExprs

public List<DmlParser.ParameterizedExpressionContext> paramExprs

## Constructor Details

### FunctionCallMultiAssignmentStatementContext

public FunctionCallMultiAssignmentStatementContext(DmlParser.StatementContext ctx)

## Method Details

### dataIdentifier

public List<DmlParser.DataIdentifierContext> dataIdentifier()

### dataIdentifier

public DmlParser.DataIdentifierContext dataIdentifier(int i)

### ID

public org.antlr.v4.runtime.tree.TerminalNode ID()

### parameterizedExpression

public List<DmlParser.ParameterizedExpressionContext> parameterizedExpression()

### parameterizedExpression

public DmlParser.ParameterizedExpressionContext parameterizedExpression(int i)

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`